VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "Comdlg32.ocx"
Begin VB.Form frmDriveInfo 
   AutoRedraw      =   -1  'True
   Caption         =   "System Drive Information"
   ClientHeight    =   7320
   ClientLeft      =   1515
   ClientTop       =   1875
   ClientWidth     =   9225
   LinkTopic       =   "Form1"
   ScaleHeight     =   7320
   ScaleWidth      =   9225
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   3360
      Top             =   6840
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.VScrollBar VScroll1 
      Height          =   6375
      Left            =   8760
      TabIndex        =   3
      Top             =   120
      Width           =   255
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   6480
      Width           =   8655
   End
   Begin VB.PictureBox Container 
      Height          =   6375
      Left            =   120
      ScaleHeight     =   6315
      ScaleWidth      =   8595
      TabIndex        =   0
      Top             =   120
      Width           =   8655
      Begin VB.PictureBox Document 
         AutoRedraw      =   -1  'True
         BackColor       =   &H00FFFFFF&
         Height          =   6255
         Left            =   0
         ScaleHeight     =   6195
         ScaleWidth      =   8235
         TabIndex        =   1
         Top             =   0
         Width           =   8295
      End
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileSub 
         Caption         =   "&Get System Info"
         Index           =   0
      End
      Begin VB.Menu mnuFileSub 
         Caption         =   "&Save"
         Index           =   1
      End
      Begin VB.Menu mnuFileSub 
         Caption         =   "&Print"
         Index           =   2
      End
      Begin VB.Menu mnuFileSub 
         Caption         =   "Print Set&up"
         Index           =   3
      End
      Begin VB.Menu mnuFileSub 
         Caption         =   "Print PreVie&w"
         Index           =   4
      End
      Begin VB.Menu mnuFileSub 
         Caption         =   "E&xit"
         Index           =   5
      End
   End
End
Attribute VB_Name = "frmDriveInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim FSO As FileSystemObject, DRVs As Drives, Drv As Drive
Public Mode As String, X1 As Single, Y1 As Single, L1 As Boolean
Public Col As Integer, Row As Integer
Public DocLayOut As Integer, SWidth As Single, SHeight As Single

Public Sub PView()
    Dim PicHeightR As Double, PicWidthR As Double
    Mode = "Preview"
    PicHeightR = 1
    PicWidthR = 1
    Container.Cls
    If Document.ScaleHeight > Document.ScaleWidth Then
        SWidth = (Document.ScaleWidth / Document.ScaleHeight) * Container.ScaleHeight
    Else
        SWidth = (Document.ScaleHeight / Document.ScaleWidth) * Container.ScaleHeight
    End If
    SHeight = Container.ScaleHeight
    Container.PaintPicture Document.Image, 0, 0, SWidth, SHeight
End Sub
Public Sub SizeScrolls()
    With VScroll1
        .Left = Container.Left + Container.Width
        .Top = Container.Top
        .Max = Document.Height - Container.ScaleHeight '32,767
        .Min = 0
        .Value = .Min
        .Height = Container.Height
        .SmallChange = Container.Height / 10
        .LargeChange = Container.Height
    End With
    If Document.ScaleHeight > Container.ScaleHeight Then
        VScroll1.Visible = True
    Else
        VScroll1.Visible = False
    End If
    With HScroll1
        .Left = Container.Left
        .Top = Container.Top + Container.Height
        .Min = 0
        .Width = Container.Width
        .Value = .Min
        .Max = Document.Width - Container.ScaleWidth
        .SmallChange = Container.ScaleWidth / 10
        .LargeChange = Container.Width
    End With
    If Document.ScaleWidth > Container.ScaleWidth Then
        HScroll1.Visible = True
    Else
        HScroll1.Visible = False
    End If
End Sub

Private Sub Form_Load()
    DocLayOut = Printer.Orientation
    Document.ScaleMode = vbTwips
    Select Case DocLayOut
        Case 1
            Document.Width = 8.5 * 1440
            Document.Height = 11 * 1440
        Case 2
            Document.Width = 11 * 1440
            Document.Height = 8.5 * 1440
   End Select
    Me.Show
    SizeScrolls
End Sub

Private Sub Form_Resize()
    'This code will insure the viewer and scroll bars look the same regardless
    'the users screen resolution.
    'Resize if the form left is off the screen
    'If Me.Left + Me.Width > Screen.Width Then Me.Width = Screen.Width - Me.Left
    'Size the container to the screen size(always in TWIPS).
    Container.Width = Me.Width - ((Container.Left * 2) + VScroll1.Width)
    Container.Height = Me.ScaleHeight - ((Container.Top * 2) + HScroll1.Height)
    SizeScrolls
End Sub

Private Sub HScroll1_Change()
    Document.Left = -HScroll1.Value
End Sub

Private Sub HScroll1_Scroll()
    HScroll1_Change
End Sub

Private Sub mnuFileSub_Click(Index As Integer)
    Select Case mnuFileSub(Index).Caption
        Case "&Get System Info"
            Document.Cls
            GetSysInfo
        Case "&Save"
            CommonDialog1.ShowSave
            If Not CommonDialog1.CancelError And CommonDialog1.FileName <> "" Then SavePicture Document.Image, CommonDialog1.FileName
        Case "&Print"
            Document.Visible = True
            Printer.PaintPicture Document.Image, 0, 0
            Printer.EndDoc
        Case "Print PreVie&w"
            Document.Visible = False
            HScroll1.Visible = False
            VScroll1.Visible = False
            PView
            mnuFileSub(Index).Caption = "Close Preview"
        Case "Close Preview"
            Container.Cls
            Document.Visible = True
            mnuFileSub(Index).Caption = "Print PreVie&w"
            HScroll1.Visible = True
            VScroll1.Visible = True
        Case "Print Set&up"
            CommonDialog1.FLAGS = cdlPDPrintSetup
            CommonDialog1.ShowPrinter
            DoEvents
        Case "E&xit"
            End
    End Select
End Sub

Private Sub VScroll1_Change()
    Document.Top = -VScroll1.Value
End Sub

Private Sub VScroll1_Scroll()
    VScroll1_Change
End Sub

Private Sub GetSysInfo()
    Dim TSpace As Long, USpace As Long, FSpace As Long, PrintLeft As Single
    Dim DrvType As String, D0 As Integer, D1 As Integer
    Dim D2 As Integer, D3 As Integer, D4 As Integer, D5 As Integer
    Set FSO = New FileSystemObject 'Create the File System Object
    Set DRVs = FSO.Drives 'Extract the drives from the object
    'Extract and display the info from each drive object
    For Each Drv In DRVs
        With Drv
            If .IsReady Then
                Document.CurrentX = PrintLeft
                If .VolumeName = "" Then
                    Document.Print "No Volume Name On (" & .DriveLetter & ":) Information"
                Else
                    Document.Print .VolumeName & " (" & .DriveLetter & ":) Information"
                End If
                Select Case .DriveType
                    Case 0: DrvType = "Drive Type is Unknown": D0 = D0 + 1
                    Case 1: DrvType = "Drive Type is Removable": D1 = D1 + 1
                    Case 2: DrvType = "Drive Type is Fixed": D2 = D2 + 1
                    Case 3: DrvType = "Drive Type is Network": D3 = D3 + 1
                    Case 4: DrvType = "Drive Type is CD-ROM": D4 = D4 + 1
                    Case 5: DrvType = "Drive Type is RAM Disk": D5 = D5 + 1
                End Select
                Document.CurrentX = PrintLeft
                Document.Print Space(5) & DrvType
                Document.CurrentX = PrintLeft
                Document.Print Space(5) & "File System Type - " & .FileSystem
                Document.CurrentX = PrintLeft
                Document.Print Space(5) & "SerialNumber - " & .SerialNumber
                Document.CurrentX = PrintLeft
                Document.Print Space(5) & "ShareName - " & .ShareName
                Document.CurrentX = PrintLeft
                Document.Print Space(5) & "Root Folder - " & .RootFolder
                Document.CurrentX = PrintLeft
                Document.Print Space(5) & "Total Bytes Available - " & Format(.TotalSize, "###,###,###,###")
                Document.CurrentX = PrintLeft
                Document.Print Space(5) & "Bytes Used - " & Format(.TotalSize - .FreeSpace, "###,###,###,###")
                Document.CurrentX = PrintLeft
                Document.Print Space(5) & "Free Space Available - " & Format(.FreeSpace, "###,###,###,###")
                FSpace = FSpace + (.FreeSpace / 1000)
                TSpace = TSpace + (.TotalSize / 1000)
                USpace = USpace + ((.TotalSize - .FreeSpace) / 1000)
            Else
                DrvType = "Drive Not Ready"
                Document.CurrentX = PrintLeft
                Document.Print " (" & .DriveLetter & ":)" & Space(5) & DrvType
            End If
            
        End With
        If Document.CurrentY > (Document.Height - (Document.TextHeight("A") * 10)) Then
            Document.CurrentY = 0
            PrintLeft = Document.Width / 2
        End If
    Next
    Dim I As Integer
    For I = 0 To 12
        Document.CurrentX = PrintLeft
        Select Case I
            Case 0: Document.Print "SYSTEM INFORMATION"
            Case 1: Document.Line (Document.CurrentX, Document.CurrentY)-(Document.CurrentX + Document.TextWidth("SYSTEM INFORMATION"), Document.CurrentY)
            Case 2: Document.Print "Number of Drives - " & FSO.Drives.Count
            Case 3: Document.Print Space(5) & D0 & " - Unknown Drives"
            Case 4: Document.Print Space(5) & D1 & " - Removable Drives"
            Case 5: Document.Print Space(5) & D2 & " - Fixed Drives"
            Case 6: Document.Print Space(5) & D3 & " - NetWork Drives"
            Case 7: Document.Print Space(5) & D4 & " - CD-ROM Drives"
            Case 8: Document.Print Space(5) & D5 & " - RAM-Disk Drives"
            Case 9: Document.Print "Total Bytes - " & Format(TSpace, "###,###,###,###") & "K"
            Case 10: Document.Print "Used Bytes - " & Format(USpace, "###,###,###,###") & "K"
            Case 11: Document.Print "Free Bytes - " & Format(FSpace, "###,###,###,###") & "K"
        End Select
    Next
End Sub
